Option Value Create
Creates one option value for the entity named in the path. Provide EITHER optionDefinitionId (system option) OR customKey (custom option), never both.
JWT token to authenticate the request.
In: header
API key, sent as a request header.
In: header
Path Parameters
Type of the owning entity, e.g. "DocumentSolutionConfiguration" or "DocumentTemplate".
GUID of the owning entity.
uuidRequest Body
application/json
The option value to create.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/documents/option/DocumentSolutionConfiguration/a3bb189e-8bf9-3888-9912-ace4e6543002/create" \ -H "Content-Type: application/json" \ -d '{ "customKey": "watermark.text", "customGroup": "rendering", "value": "CONFIDENTIAL" }'{ "result": { "data": { "optionValue": { "optionValueGuid": "c9bf9e57-1685-4c89-bafb-ff5af830be8a", "entityType": "DocumentSolutionConfiguration", "entityId": "a3bb189e-8bf9-3888-9912-ace4e6543002", "optionDefinitionId": "", "customKey": "watermark.text", "customGroup": "rendering", "value": "CONFIDENTIAL", "effectiveKey": "watermark.text", "effectiveGroup": "rendering", "systemType": "string", "createdDate": "2026-07-14T09:30:00.000Z", "lastModifiedDate": "2026-07-14T09:30:00.000Z" } }, "statusCode": 200, "message": "OK" }, "origin": "POST https://api.doctavian.com/v1/documents/option/{entityType}/{entityId}/create", "dateTime": "2026-07-14T09:30:00.000Z", "operationId": "eba2d086467a34dc09424f251cd076ee", "userId": "af7fa638-be39-416b-9c03-dc4a332a488c"}{ "userId": "06955f96-0f29-4d68-add0-c2ca915fd0e6", "error": { "statusCode": 400, "message": "Either optionDefinitionId or customKey must be supplied.", "innerErrors": [ { "code": "OPTION_VALUE_MISSING_DEFINITION_OR_KEY", "message": "Either optionDefinitionId or customKey must be supplied.", "userMessage": "Either optionDefinitionId or customKey must be supplied." } ] }, "origin": "POST https://api.doctavian.com/v1/documents/option/{entityType}/{entityId}/create", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "a8d7d87fa0628cdb5dfd135fc26b7424"}{ "error": { "statusCode": 401, "message": "The request could not be authenticated.", "innerErrors": [ { "code": "UNAUTHORIZED", "message": "The request could not be authenticated.", "userMessage": "Your session has expired or is invalid. Please sign in again." } ] }, "origin": "POST https://api.doctavian.com/v1/documents/option/{entityType}/{entityId}/create", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "4a965b8427ac1c7c99e6a10d69a64e9d", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "error": { "statusCode": 404, "message": "The requested resource was not found.", "innerErrors": [ { "code": "NOT_FOUND_BY_ID", "message": "The requested resource was not found.", "userMessage": "We couldn't find that resource. Check the id and try again." } ] }, "origin": "POST https://api.doctavian.com/v1/documents/option/{entityType}/{entityId}/create", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "2d72c9074179164dc64e6f009d1acf66", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "userId": "55961c92-437a-4a84-b26c-dca09b41c0a4", "error": { "statusCode": 500, "message": "An unexpected error occurred.", "innerErrors": [ { "code": "GET_DATA_SOURCE_ERROR", "message": "An unexpected error occurred.", "userMessage": "An unexpected error occurred." } ] }, "origin": "POST https://api.doctavian.com/v1/documents/option/{entityType}/{entityId}/create", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "09bebaab570d9f96b296bf0f66022626"}